apply plugin: 'com.android.application'
apply plugin: 'org.greenrobot.greendao'

android {
    compileSdkVersion 29
    buildToolsVersion "29.0.2"

    defaultConfig {
        applicationId "com.phlx.anchorcollect"
        minSdkVersion 21
        targetSdkVersion 29
        versionCode 1
        versionName "1.0.0"


        testInstrumentationRunner "androidx.test.runner.AndroidJUnitRunner"
    }

    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }

    sourceSets {
        main {
            jniLibs.srcDirs = ['libs']
        }
    }

    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }
    }

    dataBinding {
        enabled true
    }

    lintOptions {
        checkReleaseBuilds false
        // Or, if you prefer, you can continue to check for errors in release builds,
        // but continue the build even when errors are found:
        abortOnError false
    }

}

greendao {
    schemaVersion 1 //数据库版本号
    daoPackage 'com.phlx.anchorcollect.db.gen'
    targetGenDir 'src/main/java'
}

dependencies {
    implementation fileTree(include: ['*.jar'], dir: 'libs')
    implementation 'androidx.appcompat:appcompat:1.2.0'
    implementation 'androidx.constraintlayout:constraintlayout:1.1.3'
    implementation files('libs\\uhf.jar')
    testImplementation 'junit:junit:4.13'
    androidTestImplementation 'androidx.test.ext:junit:1.1.1'
    androidTestImplementation 'androidx.test.espresso:espresso-core:3.2.0'
    //EventBus's
    implementation 'org.greenrobot:eventbus:3.2.0'
    implementation 'org.greenrobot:greendao:3.2.2'
    implementation 'io.github.yuweiguocn:GreenDaoUpgradeHelper:v2.2.1'
    // TinyPinyin核心包，约80KB
    implementation 'com.github.promeg:tinypinyin:2.0.3'
    implementation 'com.github.promeg:tinypinyin-lexicons-android-cncity:2.0.3'
    //图片加载
    implementation 'de.hdodenhof:circleimageview:3.1.0'
    //下拉刷新,上拉加载
    implementation 'com.lcodecorex:tkrefreshlayout:1.0.7'
    // 基础依赖包，必须要依赖
    implementation 'com.gyf.immersionbar:immersionbar:3.0.0'
    //时间选择器
    implementation 'com.contrarywind:Android-PickerView:4.1.9'
    implementation project(':mvvmhabit')
    implementation project(':appupdateX')
    implementation project(':mycontrol')
    implementation files('libs/uhf.jar')

    //生成主键
    implementation 'cn.hutool:hutool-all:4.5.6'
    //图片加载
    implementation 'com.github.YancyYe:GalleryPick:1.2.1'
    implementation 'androidx.cardview:cardview:1.0.0'
    //autoSize
    implementation 'com.github.JessYanCoding:AndroidAutoSize:v1.2.1'
    //dialog
    //添加对应的包文件，可根据需要选择，请将 dialogx_version 的版本号与您正在使用的 DialogX 主库保持一致
    implementation "com.github.kongzue.DialogX:DialogXKongzueStyle:0.0.43.beta19"
    implementation "com.github.kongzue.DialogX:DialogX:0.0.43.beta19"
    //日期选择对话框
    implementation 'com.github.kongzue.DialogXSample:DatePicker:0.0.1.alpha7'

    //BLE
    implementation 'cn.wandersnail:easyble-x:1.2.8'
    implementation 'cn.wandersnail:commons-android:1.3.0'
    //bt
    implementation 'cn.wandersnail:classic-bluetooth:1.0.7'
//    implementation 'cn.wandersnail:commons-android:1.0.7'
    // fragmentationx框架
    implementation 'me.yokeyword:fragmentationx:1.0.2'
    //ToastUtils
    implementation 'com.github.getActivity:ToastUtils:9.2'

    //表格
//    implementation 'com.github.Lingber:Android_DataGridView:1.01'

}